net.snowflake.client.core

## Class DataConversionContext

- java.lang.Object
- - net.snowflake.client.core.DataConversionContext

    public class DataConversionContext
    extends Object

This class contains formatter info about each data type and related flags etc. And it is scoped to a single result set. a.k.a each result set object should have its own formatter info

### Constructor Summary

Constructors
Constructor and Description

`DataConversionContext(net.snowflake.common.core.SnowflakeDateTimeFormat timestampLTZFormatter, net.snowflake.common.core.SnowflakeDateTimeFormat timestampNTZFormatter, net.snowflake.common.core.SnowflakeDateTimeFormat timestampTZFormatter, net.snowflake.common.core.SnowflakeDateTimeFormat dateFormatter, net.snowflake.common.core.SnowflakeDateTimeFormat timeFormatter, net.snowflake.common.core.SFBinaryFormat binaryFormatter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`net.snowflake.common.core.SFBinaryFormat` `getBinaryFormatter()`
`net.snowflake.common.core.SnowflakeDateTimeFormat` `getDateFormatter()`
`net.snowflake.common.core.SnowflakeDateTimeFormat` `getTimeFormatter()`
`net.snowflake.common.core.SnowflakeDateTimeFormat` `getTimestampLTZFormatter()`
`net.snowflake.common.core.SnowflakeDateTimeFormat` `getTimestampNTZFormatter()`
`net.snowflake.common.core.SnowflakeDateTimeFormat` `getTimestampTZFormatter()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DataConversionContext

    public DataConversionContext(net.snowflake.common.core.SnowflakeDateTimeFormat timestampLTZFormatter,
                                 net.snowflake.common.core.SnowflakeDateTimeFormat timestampNTZFormatter,
                                 net.snowflake.common.core.SnowflakeDateTimeFormat timestampTZFormatter,
                                 net.snowflake.common.core.SnowflakeDateTimeFormat dateFormatter,
                                 net.snowflake.common.core.SnowflakeDateTimeFormat timeFormatter,
                                 net.snowflake.common.core.SFBinaryFormat binaryFormatter)

### Method Detail

#### getTimestampLTZFormatter

    public net.snowflake.common.core.SnowflakeDateTimeFormat getTimestampLTZFormatter()

#### getTimestampNTZFormatter

    public net.snowflake.common.core.SnowflakeDateTimeFormat getTimestampNTZFormatter()

#### getTimestampTZFormatter

    public net.snowflake.common.core.SnowflakeDateTimeFormat getTimestampTZFormatter()

#### getDateFormatter

    public net.snowflake.common.core.SnowflakeDateTimeFormat getDateFormatter()

#### getTimeFormatter

    public net.snowflake.common.core.SnowflakeDateTimeFormat getTimeFormatter()

#### getBinaryFormatter

    public net.snowflake.common.core.SFBinaryFormat getBinaryFormatter()